#include <stdio.h>
#include <stdlib.h>

typedef struct {
    long int d, u;
}vaga;

typedef struct {
    long int l, r, x;
}mere;

int main()
{
    int n,me;
    scanf("%d", &n);
    scanf("%d", &me);

    vaga v[n];
    mere m[me];

    for (int i = 0; i<n; i++)
    {
        scanf("%d", &v[i].d);
        scanf("%d", &v[i].u);
    }

    for (int i = 0; i<me; i++)
    {
        scanf("%d", &m[i].l);
        scanf("%d", &m[i].r);
        scanf("%d", &m[i].x);
    }

    for (int i = 0; i<me; i++){
        long int max, min, br = 0;

        if (m[i].l>m[i].r){
            max = m[i].l;
            min = m[i].r;
        }
        else{
            max = m[i].r;
            min = m[i].l;
        }
        long int tezina = m[i].x;
        for(min; min<=max; min++){

            if (tezina>=v[min-1].d && tezina<=v[min-1].u){
                br++;
                    //printf("vd: %d\nvu: %d\n tezina: %d\n", v[min].d, v[min].u, tezina);
            }
        }
        printf("%d\n", br);
    }
    return 0;
}